VkSubpassDescription2KHR Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkSubpassDescription2KHR:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkSubpassDescriptionFlags | flags
VkPipelineBindPoint | pipelineBindPoint
uint32_t | viewMask
uint32_t | inputAttachmentCount
const VkAttachmentReference2KHR * | pInputAttachments
uint32_t | colorAttachmentCount
const VkAttachmentReference2KHR * | pColorAttachments
const VkAttachmentReference2KHR * | pResolveAttachments
const VkAttachmentReference2KHR * | pDepthStencilAttachment
uint32_t | preserveAttachmentCount
const uint32_t * | pPreserveAttachments

## Detailed Description

Definition at line 5572 of file vulkan_core.h.

## Field Documentation

## colorAttachmentCount

uint32_t VkSubpassDescription2KHR::colorAttachmentCount

Definition at line 5580 of file vulkan_core.h.

## flags

VkSubpassDescriptionFlags VkSubpassDescription2KHR::flags

Definition at line 5575 of file vulkan_core.h.

## inputAttachmentCount

uint32_t VkSubpassDescription2KHR::inputAttachmentCount

Definition at line 5578 of file vulkan_core.h.

## pColorAttachments

const VkAttachmentReference2KHR* VkSubpassDescription2KHR::pColorAttachments

Definition at line 5581 of file vulkan_core.h.

## pDepthStencilAttachment

const VkAttachmentReference2KHR* VkSubpassDescription2KHR::pDepthStencilAttachment

Definition at line 5583 of file vulkan_core.h.

## pInputAttachments

const VkAttachmentReference2KHR* VkSubpassDescription2KHR::pInputAttachments

Definition at line 5579 of file vulkan_core.h.

## pipelineBindPoint

VkPipelineBindPoint VkSubpassDescription2KHR::pipelineBindPoint

Definition at line 5576 of file vulkan_core.h.

## pNext

const void* VkSubpassDescription2KHR::pNext

Definition at line 5574 of file vulkan_core.h.

## pPreserveAttachments

const uint32_t* VkSubpassDescription2KHR::pPreserveAttachments

Definition at line 5585 of file vulkan_core.h.

## preserveAttachmentCount

uint32_t VkSubpassDescription2KHR::preserveAttachmentCount

Definition at line 5584 of file vulkan_core.h.

## pResolveAttachments

const VkAttachmentReference2KHR* VkSubpassDescription2KHR::pResolveAttachments

Definition at line 5582 of file vulkan_core.h.

## sType

VkStructureType VkSubpassDescription2KHR::sType

Definition at line 5573 of file vulkan_core.h.

## viewMask

uint32_t VkSubpassDescription2KHR::viewMask

Definition at line 5577 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h